umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
Uml::CmdChangeMultiplicity Class Reference

`#include <cmdchangemultiplicity.h>`

Inheritance diagram for Uml::CmdChangeMultiplicity:

## Public Member Functions
| CmdChangeMultiplicity (UMLRole *role, const QString &multi)
void | redo ()
void | undo ()

## Private Attributes
UMLRole * | m_umlRole
| Object selected.
QString | m_oldMulti
| Old multiplicity.
QString | m_newMulti
| New multiplicity.

## Constructor & Destructor Documentation

## ◆ CmdChangeMultiplicity()

Uml::CmdChangeMultiplicity::CmdChangeMultiplicity | ( | UMLRole * | role,
|  | const QString & | multi )

## Member Function Documentation

## ◆ redo()

void Uml::CmdChangeMultiplicity::redo | ( |  | ) |

## ◆ undo()

void Uml::CmdChangeMultiplicity::undo | ( |  | ) |

## Member Data Documentation

## ◆ m_newMulti

QString Uml::CmdChangeMultiplicity::m_newMulti
| private

New multiplicity.

## ◆ m_oldMulti

QString Uml::CmdChangeMultiplicity::m_oldMulti
| private

Old multiplicity.

## ◆ m_umlRole

UMLRole* Uml::CmdChangeMultiplicity::m_umlRole
| private

Object selected.

The documentation for this class was generated from the following files:

- umbrello/cmds/widget/cmdchangemultiplicity.h
- umbrello/cmds/widget/cmdchangemultiplicity.cpp